Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225420 - CVE-2007-0537 Konqueror improper HTML comment rendering
Summary: CVE-2007-0537 Konqueror improper HTML comment rendering
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: reported=20070130,source=CVE,impact=m...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 15:35 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 14:19:58 UTC


Attachments (Terms of Use)

Description Josh Bressers 2007-01-30 15:35:46 UTC
+++ This bug was initially created as a clone of Bug #225414 +++

A flaw was reported in the way Konqueror processes HTML which contains a comment
used in a certain manner.  It is possible to conduct a cross site scripting flaw
on sites that allow a user to enter HTML comments, which Konqueror will then
parse incorrectly, causing the site to display unintended content.

-- Additional comment from bressers@redhat.com on 2007-01-30 10:25 EST --
Created an attachment (id=146918)
Demo HTML file.  This file should not display an alert dialog.

This flaw also affects FC5

Comment 1 Ngo Than 2007-03-28 14:20:55 UTC
it's fixed in kdelibs-3.5.6-0.3.fc6


Note You need to log in before you can comment on or make changes to this bug.